MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | List of all members
sc::LocalTBGrad< T > Class Template Reference
Inheritance diagram for sc::LocalTBGrad< T >:
[legend]
Collaboration diagram for sc::LocalTBGrad< T >:
[legend]

## Public Member Functions
| LocalTBGrad (T &t, const Ref< TwoBodyDerivInt > &tbdi, const Ref< PetiteList > &pl, const Ref< GaussianBasisSet > &bs, const Ref< MessageGrp > &g, double *tbg, double pm, double a, int nt=1, int tn=0, double exchange_fraction=1.0)
void | run ()
| This is called with the Thread is run from a ThreadGrp.
Public Member Functions inherited from sc::TBGrad< T >
| TBGrad (T &t, double ex=1.0)
void | set_scale (double &coulombscale, double &exchangescale, int i, int j, int k, int l) const

## Public Attributes
double * | tbgrad

## Protected Attributes
MessageGrp * | grp_
TwoBodyDerivInt * | tbi_
GaussianBasisSet * | gbs_
PetiteList * | rpl_
Molecule * | mol_
double | pmax_
double | accuracy_
int | threadno_
int | nthread_
Protected Attributes inherited from sc::TBGrad< T >
T & | contribution
double | exchange_fraction

## Additional Inherited Members
Static Public Member Functions inherited from sc::Thread
static void * | run_Thread_run (void *thread)

The documentation for this class was generated from the following file:

- ltbgrad.h